xsd:date with zero offset conflicts with dates that have no TimeZone
Resolution: fixed

Description

Adding the literal "2006-08-23+00:00"""xsd:date or "2006-08-23"""xsd:date works in isolation (time-zone preserved). However, if
they are both added to Mulgara only the first value is preserved. If a date is first added without a timezone than Mulgara will not
preserve a zero offset timezone for that date.

History

#1 - 08/12/2008 04:08 PM - Paula Gearon

The problem here is the comparator, which only looks at the value, and not the representation. This particular problem can be fixed by having the
comparator look at ALL the data, and not just the value portion. This means that the values can no longer be considered the same (and hence, cannot
be joined on), though that may be acceptable.

#2 - 08/26/2008 11:32 PM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed

(In r1183) Dates are now inserted into the index using their timezone information as well, meaning that equivalent dates with different representations
will show up as different entries. This should close #138

#3 - 08/27/2008 04:14 AM - Paula Gearon
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

Comparator update was not enough

#4 - 08/27/2008 10:42 PM - Paula Gearon
- Status changed from Feedback to Closed

- Resolution set to fixed
